import React, { Text, PropTypes } from 'react-native';
import Intl from 'react-intl';

var FormattedDate = function (props) {
  return React.createElement(
    Intl.FormattedDate,
    props,
    function (localized) {
      return React.createElement(
        Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedDate.propTypes = {
  style: PropTypes.any
};

var FormattedHTMLMessage = function (props) {
  return React.createElement(
    Intl.FormattedHTMLMessage,
    props,
    function (localized) {
      return React.createElement(
        Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedHTMLMessage.propTypes = {
  style: PropTypes.any
};

var FormattedMessage = function (props) {
  return React.createElement(
    Intl.FormattedMessage,
    props,
    function (localized) {
      return React.createElement(
        Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedMessage.propTypes = {
  style: PropTypes.any
};

var FormattedNumber = function (props) {
  return React.createElement(
    Intl.FormattedNumber,
    props,
    function (localized) {
      return React.createElement(
        Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedNumber.propTypes = {
  style: PropTypes.any
};

var FormattedPlural = function (props) {
  return React.createElement(
    Intl.FormattedPlural,
    props,
    function (localized) {
      return React.createElement(
        Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedPlural.propTypes = {
  style: PropTypes.any
};

var FormattedRelative = function (props) {
  return React.createElement(
    Intl.FormattedRelative,
    props,
    function (localized) {
      return React.createElement(
        Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedRelative.propTypes = {
  style: PropTypes.any
};

var FormattedTime = function (props) {
  return React.createElement(
    Intl.FormattedTime,
    props,
    function (localized) {
      return React.createElement(
        Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedTime.propTypes = {
  style: PropTypes.any
};

export { FormattedDate, FormattedHTMLMessage, FormattedMessage, FormattedNumber, FormattedPlural, FormattedRelative, FormattedTime };