'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react-native');
var React__default = _interopDefault(React);
var Intl = _interopDefault(require('react-intl'));

var FormattedDate = function (props) {
  return React__default.createElement(
    Intl.FormattedDate,
    props,
    function (localized) {
      return React__default.createElement(
        React.Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedDate.propTypes = {
  style: React.PropTypes.any
};

var FormattedHTMLMessage = function (props) {
  return React__default.createElement(
    Intl.FormattedHTMLMessage,
    props,
    function (localized) {
      return React__default.createElement(
        React.Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedHTMLMessage.propTypes = {
  style: React.PropTypes.any
};

var FormattedMessage = function (props) {
  return React__default.createElement(
    Intl.FormattedMessage,
    props,
    function (localized) {
      return React__default.createElement(
        React.Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedMessage.propTypes = {
  style: React.PropTypes.any
};

var FormattedNumber = function (props) {
  return React__default.createElement(
    Intl.FormattedNumber,
    props,
    function (localized) {
      return React__default.createElement(
        React.Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedNumber.propTypes = {
  style: React.PropTypes.any
};

var FormattedPlural = function (props) {
  return React__default.createElement(
    Intl.FormattedPlural,
    props,
    function (localized) {
      return React__default.createElement(
        React.Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedPlural.propTypes = {
  style: React.PropTypes.any
};

var FormattedRelative = function (props) {
  return React__default.createElement(
    Intl.FormattedRelative,
    props,
    function (localized) {
      return React__default.createElement(
        React.Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedRelative.propTypes = {
  style: React.PropTypes.any
};

var FormattedTime = function (props) {
  return React__default.createElement(
    Intl.FormattedTime,
    props,
    function (localized) {
      return React__default.createElement(
        React.Text,
        { style: props.style },
        localized
      );
    }
  );
};

FormattedTime.propTypes = {
  style: React.PropTypes.any
};

exports.FormattedDate = FormattedDate;
exports.FormattedHTMLMessage = FormattedHTMLMessage;
exports.FormattedMessage = FormattedMessage;
exports.FormattedNumber = FormattedNumber;
exports.FormattedPlural = FormattedPlural;
exports.FormattedRelative = FormattedRelative;
exports.FormattedTime = FormattedTime;